# Class ClasspathURLStreamHandler

java.lang.Object
java.net.URLStreamHandler
org.apache.catalina.webresources.ClasspathURLStreamHandler

public class ClasspathURLStreamHandler extends URLStreamHandler
URL stream handler that resolves resources from the classpath.

## Constructor Summary

Constructors
Constructor
Description
`ClasspathURLStreamHandler()`
Creates a new ClasspathURLStreamHandler.

## Method Summary

Modifier and Type
Method
Description
`protected URLConnection`
`openConnection(URL u)`

### Methods inherited from class URLStreamHandler

`equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, openConnection, parseURL, sameFile, setURL, setURL, toExternalForm`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClasspathURLStreamHandler

public ClasspathURLStreamHandler()
Creates a new ClasspathURLStreamHandler.

## Method Details

### openConnection

protected URLConnection openConnection(URL u) throws IOException

Specified by:
  `openConnection` in class `URLStreamHandler`
Throws:
  `IOException`